MyQ REST API documentation
English French German Italian Portuguese Spanish
English French German Italian Portuguese Spanish

Get Payments

URL parameters can be used to filter the result.

Name

Type

Description

provider

string

Payment provider reference

limit

integer

Default value : 100

start

integer

Offset for the limit

Endpoint:
GET /v2/payments

Authentication:
Grant_type: client_credentials
Scopes: [ credit ]

Headers:
Content-Type: application/json
Authentication: Bearer %access_token%

Response body:
{
  "payments": [
    {
      "id": 0,
      "extId": 0,
      "userId": 0,
      "amount": 0,
      "currency": "string",
      "state": "string",
      "created": "2021-08-01T12:13:50.939Z",
      "updated": "2021-08-01T12:13:50.939Z",
      "expires": "2021-08-01T12:13:50.939Z",
      "paymentNo": 0,
      "description": "string"
    }
  ],
  "count": 0
}

Note that the %access_token% needs to be replaced by the token you received as a response from auth endpoint.

The list of payments of the logged user is returned in the response.